Subject: Patch to drivers/usb/serial/sierra.c to support Sierra Wireless Aircard 595U

From: Phil Karn <[email-masked]>
Date: Tue, 12 Jun 2007 19:34:46 -0700

*** linux-2.6.21.5/drivers/usb/serial/sierra.c	Mon Jun 11 11:37:06 2007
--- linux-2.6.21.5a/drivers/usb/serial/sierra.c	Fri Jun  8 23:37:06 2007
***************
*** 44,49 ****
--- 44,50 ----

   	{ USB_DEVICE(0x1199, 0x0112) }, /* Sierra Wireless AirCard 580 */
   	{ USB_DEVICE(0x0F3D, 0x0112) }, /* AirPrime/Sierra PC 5220 */
+ 	{ USB_DEVICE(0x1199, 0x0120) }, /* Sierra Wireless Aircard 595U */
   	{ }
   };
   MODULE_DEVICE_TABLE(usb, id_table);
***************
*** 66,71 ****
--- 67,73 ----
   	{ USB_DEVICE(0x1199, 0x6803) },	/* Sierra Wireless MC8765 */
   	{ USB_DEVICE(0x1199, 0x6812) },	/* Sierra Wireless MC8775 */
   	{ USB_DEVICE(0x1199, 0x6820) },	/* Sierra Wireless AirCard 875 */
+ 	{ USB_DEVICE(0x1199, 0x0120) }, /* Sierra Wireless Aircard 595U */
   	{ }
   };